<mat-toolbar color="primary" class="d-flex align-items-center">
    <!--    <div class="">-->
    <button mat-icon-button (click)="drawer.toggle()" class="d-none d-lg-block drawer-icon">
        <mat-icon>menu</mat-icon>
    </button>
  <app-header class="sub-header"></app-header>
    <!--    </div>-->
</mat-toolbar>
<mat-drawer-container class="full-height-container" autosize hasBackdrop="true">
    <mat-drawer #drawer opened mode="over" opened="false">
        <app-menu-left></app-menu-left>
        <mat-divider></mat-divider>
        <app-left-sidenowblock></app-left-sidenowblock>
    </mat-drawer>
    <mat-drawer-content>
        <!--    <mat-form-field>-->
        <!--      <mat-label>Sidenav mode</mat-label>-->
        <!--      <mat-select #mode value="side">-->
        <!--        <mat-option value="side">Side</mat-option>-->
        <!--        <mat-option value="over">Over</mat-option>-->
        <!--        <mat-option value="push">Push</mat-option>-->
        <!--      </mat-select>-->
        <!--    </mat-form-field>-->
        <!--    <mat-form-field>-->
        <!--      <mat-label>Has backdrop</mat-label>-->
        <!--      <mat-select #hasBackdrop>-->
        <!--        <mat-option>Unset</mat-option>-->
        <!--        <mat-option [value]="true">True</mat-option>-->
        <!--        <mat-option [value]="false">False</mat-option>-->
        <!--      </mat-select>-->
        <!--    </mat-form-field>-->
        <!--        <button mat-raised-button (click)="drawer.toggle()">Toggle drawer</button>-->

<!--        <router-outlet></router-outlet>-->
        <div [@routeAnimations]="prepareRoute(outlet)">
            <router-outlet #outlet="outlet"></router-outlet>
        </div>
    </mat-drawer-content>
</mat-drawer-container>

<app-footer class="footer"></app-footer>

<!--<app-home></app-home>-->
